### Type parameters

- #### P

- #### S

- #### SS

- #### P

- #### S

### Hierarchy

- Component
  - Tab2Screen

## Index

### Constructors

- constructor

### Properties

- context
- props
- refs
- state
- contextType

### Methods

- UNSAFE_componentWillMount
- UNSAFE_componentWillReceiveProps
- UNSAFE_componentWillUpdate
- componentDidCatch
- componentDidMount
- componentDidUpdate
- componentWillMount
- componentWillReceiveProps
- componentWillUnmount
- componentWillUpdate
- forceUpdate
- getSnapshotBeforeUpdate
- render
- setState
- shouldComponentUpdate

### Object literals

- navigationOptions

## Constructors

### constructor

- new Tab2Screen(props: Readonly<P>): Tab2Screen
- new Tab2Screen(props: P, context?: any): Tab2Screen

- Inherited from NotFoundScreen.constructor

  - Defined in node_modules/@types/react/index.d.ts:447

  #### Parameters

  - ##### props: Readonly<P>

  #### Returns Tab2Screen

- Inherited from NotFoundScreen.constructor

  - Defined in node_modules/@types/react/index.d.ts:449
  deprecated
  see

    https://reactjs.org/docs/legacy-context.html

  #### Parameters

  - ##### props: P

  - ##### Optional context: any

  #### Returns Tab2Screen

## Properties

### context

context: any

Inherited from NotFoundScreen.context

- Defined in node_modules/@types/react/index.d.ts:447

If using the new style context, re-declare this in your class to be the `React.ContextType` of your `static contextType`. Should be used with type annotation or static contextType.

    static contextType = MyContext
    // For TS pre-3.7:
    context!: React.ContextType<typeof MyContext>
    // For TS 3.7 and above:
    declare context: React.ContextType<typeof MyContext>

see

  https://reactjs.org/docs/context.html

### props

props: Readonly<P> & Readonly<{ children?: ReactNode }>

Inherited from NotFoundScreen.props

- Defined in node_modules/@types/react/index.d.ts:472

### refs

refs: {}

Inherited from NotFoundScreen.refs

- Defined in node_modules/@types/react/index.d.ts:478

deprecated

  https://reactjs.org/docs/refs-and-the-dom.html#legacy-api-string-refs

#### Type declaration

- ##### [key: string]: ReactInstance

### state

state: Readonly<S>

Inherited from NotFoundScreen.state

- Defined in node_modules/@types/react/index.d.ts:473

### Static Optional contextType

contextType: Context<any>

Inherited from NotFoundScreen.contextType

- Defined in node_modules/@types/react/index.d.ts:429

If set, `this.context` will be set at runtime to the current value of the given Context.

Usage:

    type MyContext = number
    const Ctx = React.createContext<MyContext>(0)

    class Foo extends React.Component {
      static contextType = Ctx
      context!: React.ContextType<typeof Ctx>
      render () {
        return <>My context's value: {this.context}</>;
      }
    }

see

  https://reactjs.org/docs/context.html#classcontexttype

## Methods

### Optional UNSAFE_componentWillMount

- UNSAFE_componentWillMount(): void

- Inherited from Header.UNSAFE_componentWillMount

  - Defined in node_modules/@types/react/index.d.ts:660

  Called immediately before mounting occurs, and before `Component#render`. Avoid introducing any side-effects or subscriptions in this method.

  This method will not stop working in React 17.

  Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

  deprecated

    16.3, use componentDidMount or the constructor instead

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#initializing-state

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

  #### Returns void

### Optional UNSAFE_componentWillReceiveProps

- UNSAFE_componentWillReceiveProps(nextProps: Readonly<P>, nextContext: any): void

- Inherited from Header.UNSAFE_componentWillReceiveProps

  - Defined in node_modules/@types/react/index.d.ts:692

  Called when the component may be receiving new props. React may call this even if props have not changed, so be sure to compare new and existing props if you only want to handle changes.

  Calling `Component#setState` generally does not trigger this method.

  This method will not stop working in React 17.

  Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

  deprecated

    16.3, use static getDerivedStateFromProps instead

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#updating-state-based-on-props

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

  #### Parameters

  - ##### nextProps: Readonly<P>

  - ##### nextContext: any

  #### Returns void

### Optional UNSAFE_componentWillUpdate

- UNSAFE_componentWillUpdate(nextProps: Readonly<P>, nextState: Readonly<S>, nextContext: any): void

- Inherited from Header.UNSAFE_componentWillUpdate

  - Defined in node_modules/@types/react/index.d.ts:720

  Called immediately before rendering when new props or state is received. Not called for the initial render.

  Note: You cannot call `Component#setState` here.

  This method will not stop working in React 17.

  Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

  deprecated

    16.3, use getSnapshotBeforeUpdate instead

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#reading-dom-properties-before-an-update

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

  #### Parameters

  - ##### nextProps: Readonly<P>

  - ##### nextState: Readonly<S>

  - ##### nextContext: any

  #### Returns void

### Optional componentDidCatch

- componentDidCatch(error: Error, errorInfo: ErrorInfo): void

- Inherited from Header.componentDidCatch

  - Defined in node_modules/@types/react/index.d.ts:589

  Catches exceptions generated in descendant components. Unhandled exceptions will cause the entire component tree to unmount.

  #### Parameters

  - ##### error: Error

  - ##### errorInfo: ErrorInfo

  #### Returns void

### Optional componentDidMount

- componentDidMount(): void

- Inherited from Header.componentDidMount

  - Defined in node_modules/@types/react/index.d.ts:568

  Called immediately after a component is mounted. Setting state here will trigger re-rendering.

  #### Returns void

### Optional componentDidUpdate

- componentDidUpdate(prevProps: Readonly<P>, prevState: Readonly<S>, snapshot?: SS): void

- Inherited from Header.componentDidUpdate

  - Defined in node_modules/@types/react/index.d.ts:631

  Called immediately after updating occurs. Not called for the initial render.

  The snapshot is only present if getSnapshotBeforeUpdate is present and returns non-null.

  #### Parameters

  - ##### prevProps: Readonly<P>

  - ##### prevState: Readonly<S>

  - ##### Optional snapshot: SS

  #### Returns void

### Optional componentWillMount

- componentWillMount(): void

- Inherited from Header.componentWillMount

  - Defined in node_modules/@types/react/index.d.ts:646

  Called immediately before mounting occurs, and before `Component#render`. Avoid introducing any side-effects or subscriptions in this method.

  Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

  deprecated

    16.3, use componentDidMount or the constructor instead; will stop working in React 17

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#initializing-state

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

  #### Returns void

### Optional componentWillReceiveProps

- componentWillReceiveProps(nextProps: Readonly<P>, nextContext: any): void

- Inherited from Header.componentWillReceiveProps

  - Defined in node_modules/@types/react/index.d.ts:675

  Called when the component may be receiving new props. React may call this even if props have not changed, so be sure to compare new and existing props if you only want to handle changes.

  Calling `Component#setState` generally does not trigger this method.

  Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

  deprecated

    16.3, use static getDerivedStateFromProps instead; will stop working in React 17

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#updating-state-based-on-props

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

  #### Parameters

  - ##### nextProps: Readonly<P>

  - ##### nextContext: any

  #### Returns void

### Optional componentWillUnmount

- componentWillUnmount(): void

- Inherited from Header.componentWillUnmount

  - Defined in node_modules/@types/react/index.d.ts:584

  Called immediately before a component is destroyed. Perform any necessary cleanup in this method, such as cancelled network requests, or cleaning up any DOM elements created in `componentDidMount`.

  #### Returns void

### Optional componentWillUpdate

- componentWillUpdate(nextProps: Readonly<P>, nextState: Readonly<S>, nextContext: any): void

- Inherited from Header.componentWillUpdate

  - Defined in node_modules/@types/react/index.d.ts:705

  Called immediately before rendering when new props or state is received. Not called for the initial render.

  Note: You cannot call `Component#setState` here.

  Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

  deprecated

    16.3, use getSnapshotBeforeUpdate instead; will stop working in React 17

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#reading-dom-properties-before-an-update

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

  #### Parameters

  - ##### nextProps: Readonly<P>

  - ##### nextState: Readonly<S>

  - ##### nextContext: any

  #### Returns void

### forceUpdate

- forceUpdate(callback?: undefined | (() => void)): void

- Inherited from NotFoundScreen.forceUpdate

  - Defined in node_modules/@types/react/index.d.ts:464

  #### Parameters

  - ##### Optional callback: undefined | (() => void)

  #### Returns void

### Optional getSnapshotBeforeUpdate

- getSnapshotBeforeUpdate(prevProps: Readonly<P>, prevState: Readonly<S>): SS | null

- Inherited from Header.getSnapshotBeforeUpdate

  - Defined in node_modules/@types/react/index.d.ts:625

  Runs before React applies the result of `render` to the document, and returns an object to be given to componentDidUpdate. Useful for saving things such as scroll position before `render` causes changes to it.

  Note: the presence of getSnapshotBeforeUpdate prevents any of the deprecated lifecycle events from running.

  #### Parameters

  - ##### prevProps: Readonly<P>

  - ##### prevState: Readonly<S>

  #### Returns SS | null

### render

- render(): Element

- Overrides Component.render

  - Defined in bluebase/expo/apps/plugin-settings-app/Screens/Tab2.tsx:39

  #### Returns Element

### setState

- setState<K>(state: ((prevState: Readonly<S>, props: Readonly<P>) => null | S | {}) | (null | S | {}), callback?: undefined | (() => void)): void

- Inherited from NotFoundScreen.setState

  - Defined in node_modules/@types/react/index.d.ts:459

  #### Type parameters

  - #### K: keyof S

  #### Parameters

  - ##### state: ((prevState: Readonly<S>, props: Readonly<P>) => null | S | {}) | (null | S | {})

  - ##### Optional callback: undefined | (() => void)

  #### Returns void

### Optional shouldComponentUpdate

- shouldComponentUpdate(nextProps: Readonly<P>, nextState: Readonly<S>, nextContext: any): boolean

- Inherited from Header.shouldComponentUpdate

  - Defined in node_modules/@types/react/index.d.ts:579

  Called to determine whether the change in props and state should trigger a re-render.

  `Component` always returns true. `PureComponent` implements a shallow comparison on props and state and returns true if any props or states have changed.

  If false is returned, `Component#render`, `componentWillUpdate` and `componentDidUpdate` will not be called.

  #### Parameters

  - ##### nextProps: Readonly<P>

  - ##### nextState: Readonly<S>

  - ##### nextContext: any

  #### Returns boolean

## Object literals

### Static navigationOptions

navigationOptions: object

- Defined in bluebase/expo/apps/plugin-settings-app/Screens/Tab2.tsx:11

### title

title: string = "Reports"

- Defined in bluebase/expo/apps/plugin-settings-app/Screens/Tab2.tsx:19

### tabBarOptions

tabBarOptions: object

- Defined in bluebase/expo/apps/plugin-settings-app/Screens/Tab2.tsx:21

### activeTintColor

activeTintColor: string = "green"

- Defined in bluebase/expo/apps/plugin-settings-app/Screens/Tab2.tsx:28

### inactiveTintColor

inactiveTintColor: string = "yellow"

- Defined in bluebase/expo/apps/plugin-settings-app/Screens/Tab2.tsx:29

### pressColor

pressColor: string = "red"

- Defined in bluebase/expo/apps/plugin-settings-app/Screens/Tab2.tsx:32

### pressOpacity

pressOpacity: number = 80

- Defined in bluebase/expo/apps/plugin-settings-app/Screens/Tab2.tsx:33

### showIcon

showIcon: boolean = true

- Defined in bluebase/expo/apps/plugin-settings-app/Screens/Tab2.tsx:30

### showLabel

showLabel: boolean = false

- Defined in bluebase/expo/apps/plugin-settings-app/Screens/Tab2.tsx:31

### iconStyle

iconStyle: object

- Defined in bluebase/expo/apps/plugin-settings-app/Screens/Tab2.tsx:34

### color

color: string = "red"

- Defined in bluebase/expo/apps/plugin-settings-app/Screens/Tab2.tsx:35

### labelStyle

labelStyle: object

- Defined in bluebase/expo/apps/plugin-settings-app/Screens/Tab2.tsx:22

### fontSize

fontSize: number = 20

- Defined in bluebase/expo/apps/plugin-settings-app/Screens/Tab2.tsx:23

### tabStyle

tabStyle: object

- Defined in bluebase/expo/apps/plugin-settings-app/Screens/Tab2.tsx:25

### width

width: number = 80

- Defined in bluebase/expo/apps/plugin-settings-app/Screens/Tab2.tsx:26

Generated using TypeDoc